summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-01 14:58:05 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-01 14:58:05 +0000
commit92c967c2fc849422182435353d13aaeb0489fc76 (patch)
tree2a3bdb7848765400f96e0c88b1f2fa7dbff16650 /dev-python
parent8e25a5cecf7477d640ea315252d9e85016186e49 (diff)
downloadbaldeagleos-repo-92c967c2fc849422182435353d13aaeb0489fc76.tar.gz
baldeagleos-repo-92c967c2fc849422182435353d13aaeb0489fc76.tar.xz
baldeagleos-repo-92c967c2fc849422182435353d13aaeb0489fc76.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.15.9.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.18.9.ebuild59
-rw-r--r--dev-python/django/Manifest1
-rw-r--r--dev-python/django/django-3.1.2.ebuild81
-rw-r--r--dev-python/ipython/ipython-7.18.1.ebuild2
-rw-r--r--dev-python/zope-interface/Manifest1
-rw-r--r--dev-python/zope-interface/zope-interface-5.1.1.ebuild53
9 files changed, 254 insertions, 1 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index d145e11ac874..a3f33b93b17e 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -10,3 +10,4 @@ DIST boto3-1.15.5.tar.gz 335536 BLAKE2B e4476272346dce929be52be220ac7da2e258bc20
DIST boto3-1.15.6.tar.gz 335618 BLAKE2B 6f3816b6363757ea1dbdef4bd710a68f07b513d2f4b6a7ad05769e2417e8b0a6752dcff8f3600f8bb419f074a24b32c9386c9f11dc549097bd963c32d20a0d23 SHA512 7357f8ac98ca1bb1983af22537d1ed939b1e51371966a7c312ec748f6acf9fbbb102335965a79cf44ebbb2b0b4db9ce859c4470f542d19ceea4513d90eaba274
DIST boto3-1.15.7.tar.gz 335640 BLAKE2B 01becc9a36fc03937153fc7d4a37b5630bb1c1d6f72ff9420de73a05f4ef7e5e39561e4175b6f652241d15efae708123b41673d9d69453b9b902c0f1568282b1 SHA512 4b612fc51e453af77e84ddbe5d3ee8e03e25be37a2b8fe65a960c22b8ee3423b1ddf0a482a189378e470500b3fe78af615571f15f9fb8fa86147a4334ef22ffa
DIST boto3-1.15.8.tar.gz 335724 BLAKE2B 4b034d21108bcf7fc100f71e534e348dfd72cf1ffea7e4ae53fa420e05c1e854216095e3179c4ce16c893a5bd32665830fc5ef3c3a4f0a011797b227ac53501d SHA512 dc6b9816fe58401a391aee2843698d8245141cb9735cc8b3c27181388ce8df070649e15d437ad96bbe3948061c97b0285e323c48e298c57271cd83d11180c768
+DIST boto3-1.15.9.tar.gz 335977 BLAKE2B 9c0e1bfd11408085fe758552ace077dd2db01cb29f038d1f1559f41c6c0921a19457bfc818502d6a36ce9f7f931b75a20a0f0ba8d71bf93217c7b7f1be973c56 SHA512 0d0eb897dd526c5a19308150f28482c8f84ecab6f66d0cbf2c169da44bf55765cd8ee853360867788cb6a99784100e773104fb8c35511ad18d3a058843c50438
diff --git a/dev-python/boto3/boto3-1.15.9.ebuild b/dev-python/boto3/boto3-1.15.9.ebuild
new file mode 100644
index 000000000000..12584b2fba42
--- /dev/null
+++ b/dev-python/boto3/boto3-1.15.9.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index f4581925b34e..d316944cd0cc 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -10,3 +10,4 @@ DIST botocore-1.18.5.tar.gz 6852318 BLAKE2B 3aeca749a143cba59ce637935a711df14351
DIST botocore-1.18.6.tar.gz 6854270 BLAKE2B d5d8a321adde9c16706768633a8ed32d4db086ec2634dae8e2057c2217b2e729bfd02e2968a9749d660ded41c883ac153a80083256a27496b4b59013b57520e5 SHA512 d4c3f79f1531f85f2ab793bcdeb13f8f51c333e704f404415e49f50d310a715f752f19bc4bc7ce07c5b20f19c5924008f47146f737c318b9204d8a4af4f6fe8d
DIST botocore-1.18.7.tar.gz 6854828 BLAKE2B d4b3095d29fea7157ca8b5499726886527941e04e0c2f274eba3573acc8a8c6ff26fd734f144335e03b9bb25c9fba128bb817a68178c284406a232c1d8881050 SHA512 c94ef62d4cc89317cb13fd96f5661de8ea3b1478c4dbce039d6e3b6af6ac4e58e3e5cf2d7d62c90e5b6b046303fc1e9273041640ae4907086591213ba3f79877
DIST botocore-1.18.8.tar.gz 6865779 BLAKE2B 5b67b67deba73a0a69d4b413bfb105b3eeae5d62a38b0f109d172652270e490eed55b42c8a67c14039aec3f8f0b8b1d1dd9d6945bf9c86d1466bf69d4dc4237f SHA512 467b8ac3c3860777efbf37868add24fc56eecf65003c03692f45669e4ece965c129e18fe3ee0e1ed75b02c886f5762186572927c5e99b3eae85724d7443072d4
+DIST botocore-1.18.9.tar.gz 6897783 BLAKE2B 7b449d58febdf3ca3f04bd75e30c3953d6701e5204578a99ce011cce28c5fb30341da5120d2c105b1240ac20dbe80fbfe958d2c5055a04b688ad099fb616342b SHA512 2cfc6c633a216ad091f02021966b3233bdb41f3bfd46c8c6f13bc7ab653024aba21eeb310c87112ad210385fc2316f77117c9ddf26ed0f0df82971b53dd7223b
diff --git a/dev-python/botocore/botocore-1.18.9.ebuild b/dev-python/botocore/botocore-1.18.9.ebuild
new file mode 100644
index 000000000000..12940d28a2af
--- /dev/null
+++ b/dev-python/botocore/botocore-1.18.9.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index 014a9e875285..bfc7019b2054 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -1,3 +1,4 @@
DIST Django-2.2.16.tar.gz 8884774 BLAKE2B e65074c44e35921f6c40ca9e2a5fee53ce9a956a7503b96a33c8dbb4588bb0928d2e2b605f1117c3c75cdc84d6c7d1bfe52f4e7888fbe300adb5411a55b0ac27 SHA512 eabcdfc17e27c579001e4739268abd13bebbb018db1a7dbe4fb8482d32320b85bd16b3b18428084c0df947094f23f7cb4b12a3a55bc370748d7d8746af22bc3b
DIST Django-3.0.10.tar.gz 8958332 BLAKE2B 0ff17da9d9175b080d81e334e46ec6daaec5e4cd48f5d9a614c84b448a6d4b93d304b3fd25bcee665d65f589a8f94cf83f002bbd7a27975d23e3516286784e01 SHA512 fcce2815f966a5eb0f7986c16d065b352c73ea2ea4fc1422d440487d84162c5a93aa45b9173ba5d62d6caee2e976a9ac818f228b47ed7f4f50deda27bac995e9
DIST Django-3.1.1.tar.gz 9250616 BLAKE2B 220c53873a70bb30f0ea9b48a70ba71b2de517c11f238e6dc2be20b0e85c99dfdb2ea3b9cfe7b164c7141e0857f19d9d8f93390d7ef36bf34e915ccdb449e8f6 SHA512 5da4282c2ae712ecb2da654a99d46cd60c99aced90f75e681d5a0765b8c08669f27b6c38287bfe7bac028f12ae0643e2be06742752bdc83c62daf82fee60281f
+DIST Django-3.1.2.tar.gz 9387482 BLAKE2B 77e330b4b42f85ef416e90a2690c6315f2a8d30b5705f64b86f62daabe3ff60b24d9fcf8a1276e7425e5cf0e03833a5ca601d15dc3e1aa32f7b5d7a9792302da SHA512 39115e942c26c9af27c4079f590e15caa86cc5c0e012873d7be23809e39de178b2dd935919dee21bbee153bccb17463abcece1db3b1f7dfa95b7b55879488876
diff --git a/dev-python/django/django-3.1.2.ebuild b/dev-python/django/django-3.1.2.ebuild
new file mode 100644
index 000000000000..4c83d0790cf6
--- /dev/null
+++ b/dev-python/django/django-3.1.2.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature
+
+MY_PN="Django"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="https://www.djangoproject.com/ https://pypi.org/project/Django/"
+SRC_URI="https://www.djangoproject.com/m/releases/$(ver_cut 1-2)/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/asgiref[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]"
+# gettext: https://code.djangoproject.com/ticket/31850
+BDEPEND="
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ <sys-devel/gettext-0.21
+ )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1-bashcomp.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ elog "Additional Backend support can be enabled via"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ elog
+ elog "Other features can be enhanced by"
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+ optfeature "High-level abstractions for Django forms" dev-python/django-formtools
+}
diff --git a/dev-python/ipython/ipython-7.18.1.ebuild b/dev-python/ipython/ipython-7.18.1.ebuild
index d2ca6e3dbca7..5711e0637618 100644
--- a/dev-python/ipython/ipython-7.18.1.ebuild
+++ b/dev-python/ipython/ipython-7.18.1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm arm64 ~ppc ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="doc examples matplotlib notebook nbconvert qt5 +smp test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/zope-interface/Manifest b/dev-python/zope-interface/Manifest
index fae56776040e..d78a0dac4860 100644
--- a/dev-python/zope-interface/Manifest
+++ b/dev-python/zope-interface/Manifest
@@ -1 +1,2 @@
DIST zope.interface-5.1.0.tar.gz 225400 BLAKE2B 6ad412bbf3c0327d2b8f37899c1e71fe4bf63c3840c9f2c7e776e3208ec8999c4812aaae89cb9a78724b40ef3dd883323b00eeccab44714eabef6c33c171be48 SHA512 be8319913222ada47a22559e22322ec12dff3adf17f45335d007c5aa3509d84a7d0a7e6c113967b91810b3613344b5c60e002eb740af2bbb454b2807de8dad98
+DIST zope.interface-5.1.1.tar.gz 228612 BLAKE2B 4452a9e75feb496e933add5b15c17a782c78aaa0274eae09955ce618dd5946997d29aedbd4856952467e243ccdda923b66925af27afefeda03aff78f5f8f1fe4 SHA512 9cf195154592f5bac3335420eb01c55914b856e4b135b1756c9d812aa9418dcbd82a7e8438d3d1b5891867ca655c722641eb4d1606c47132aa8f9523b67c5725
diff --git a/dev-python/zope-interface/zope-interface-5.1.1.ebuild b/dev-python/zope-interface/zope-interface-5.1.1.ebuild
new file mode 100644
index 000000000000..7ad2ca50ef30
--- /dev/null
+++ b/dev-python/zope-interface/zope-interface-5.1.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# pkg_resources namespace
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1 flag-o-matic
+
+MY_PN=${PN/-/.}
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Interfaces for Python"
+HOMEPAGE="https://pypi.org/project/zope.interface/ https://github.com/zopefoundation/zope.interface"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="dev-python/namespace-zope[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/5.1.0-drop-coverage.patch
+)
+
+distutils_enable_tests setup.py
+
+python_compile() {
+ if ! python_is_python3; then
+ local CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
+ append-flags -fno-strict-aliasing
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ # remove .pth files since dev-python/namespace-zope handles the ns
+ find "${D}" -name '*.pth' -delete || die
+}